import { ForceRefreshContentCallback, WidgetForceRefreshUnify1SCallVerb } from "../widgetRuntime/apis/api.interfaces";
/**
 * Try to get feeds from shell cache rather than get it from http request
 */
export declare function tryGetFeedsContent(): Promise<string>;
export declare function getPageCompositionServiceCache(): Promise<string>;
/**
 * Try to get the background task status to check whether it's disabled(0)/running(1)/suspended(2)
 */
export declare function tryGetBackgroundTaskStatus(): Promise<number>;
/**
 * Try to invalidate currently using cache.
 */
export declare function invalidateFeedsCache(): Promise<number>;
/**
 * Try to get rotational preview ids
 */
export declare function getRotationalPreviewIds(): Promise<string>;
/**
 * Try to get current cache feeds service activity ID, return empty when cache is invalid.
 */
export declare function getCurrentFeedsServiceActivityID(): Promise<string>;
/**
 * Try to get current default preview content that is being shown in the taskbar, return empty when taskbar is rotational.
 */
export declare function getCurrentDefaultPreviewContent(): Promise<string>;
/**
 * Try to get current preview being shown in taskbar ids. Returns empty when Widgets flyout is not visible.
 */
export declare function getCurrentPreviewInTaskbar(): Promise<string>;
/**
 * Gets taskbar Setting changed event info as json
 */
export declare function getTaskbarSettingChangedInfo(): Promise<string>;
export declare function isCurrentFeedsStaticFallback(): Promise<boolean>;
export declare function refreshFeedsContentAsync(verb: WidgetForceRefreshUnify1SCallVerb, data: string, callback: ForceRefreshContentCallback): Promise<void>;
